package com.usky.oa.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.oa.domain.OaApprovalFlow;
import com.usky.common.mybatis.core.CrudService;
import com.usky.oa.service.vo.OaApprovalFlowRequestVo;
import com.usky.oa.service.vo.OaApprovalNodeVo;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 审批_审批流程 服务类
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
public interface OaApprovalFlowService extends CrudService<OaApprovalFlow> {

    CommonPage<OaApprovalFlow> page(String docType, Integer pageNum, Integer pageSize);

    Boolean save(OaApprovalFlowRequestVo flowRequestVo);

    boolean edit(OaApprovalFlowRequestVo approvalFlowVo);

    List<OaApprovalNodeVo> getFlowNodes(Integer flowId);
}
